GetRun
curl --request GET \
--url https://api.siftstack.com/api/v2/runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v2/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/runs/{runId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"run": {
"runId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"isPinned": true,
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"assetIds": [
"<string>"
],
"isAdhoc": true,
"isArchived": true,
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"defaultReportId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"duration": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}RunService
GetRun
Retrieve a run.
GET
/
api
/
v2
/
runs
/
{runId}
GetRun
curl --request GET \
--url https://api.siftstack.com/api/v2/runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v2/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/runs/{runId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"run": {
"runId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"isPinned": true,
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"assetIds": [
"<string>"
],
"isAdhoc": true,
"isArchived": true,
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"defaultReportId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"duration": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the run to retrieve.
Response
A successful response.
The response of a call to RunService_GetRun containing the requested run.
Show child attributes
Show child attributes
Was this page helpful?
⌘I